@import "../../vars.scss";

.fourthSec {
    margin-top: $marginSec;
}

.header {
    h2 {
        color: $darkFont;
    }
}

//programm

.programmList {
    display: flex;
    flex-direction: column;
}

.programmItem {
    display: flex;
    justify-content: space-between;
    .vl {
        width: 2px;
        background-color: #a8e2ee;
        position: relative;
        img {
            top: 0;
            width: 45px;
            left: -21.5px;
            position: absolute;
        }
    }
    .imgWrapper {
        width: 49.5%;
        margin: 0;
        padding-bottom: 38px;
        img {
            width: 362px;
            height: 362px;
            overflow: hidden;
            object-fit: cover;
            border-radius: 10px;
        }
    }
    .programmInfoWrapper {
        width: 49.5%;
        padding: 0 60px 38px 60px;

        .programmInfo {
            max-width: 407px;
            .programmNumb {
                font-weight: 300;
                color: #d1f0f6;
                font-size: 46px;
                font-family: "Roboto Serif";
            }

            .programmTime {
                margin-top: 48px;
                color: #00acc8;
                font-weight: 500;
                line-height: 22.4px;
                text-decoration: underline;
            }

            .programmTitle {
                font-size: 24px;
                color: $darkFont;
                margin-top: 18px;
                line-height: 33.6px;
            }
        }
    }
}

.programmItem:last-child {
    .imgWrapper,
    .programmInfo {
        padding-bottom: 0;
    }
}

.programmItem:nth-child(2n) {
    flex-direction: row-reverse;
    .imgWrapper {
        img {
            float: right;
        }
    }
    .programmInfo {
        float: right;
    }
}

@media (max-width: 1024px) {
    .programmItem {
        .imgWrapper {
            padding-top: 0;
            img {
                width: 300px;
                height: 300px;
            }
        }
    }
}

@media (max-width: 860px) {
    .programmItem {
        .programmInfoWrapper {
            padding: 0 30px 38px 30px;
        }
    }
}

@media (max-width: 760px) {
    .secHeader div .h2Note {
        white-space: normal;
        width: min-content;
    }
    .programmItem .imgWrapper img {
        width: 250px;
        height: 250px;
    }
    .programmItem .programmInfoWrapper .programmInfo .programmTitle {
        margin-top: 10px;
    }
    .programmItem .programmInfoWrapper .programmInfo .programmTime {
        margin-top: 20px;
    }
}

@media (max-width: 650px) {
    .programmItem .programmInfoWrapper {
        padding: 0 20px 25px 20px;
    }
    .programmItem .imgWrapper img {
        width: 200px;
        height: 200px;
    }
    .programmItem .programmInfoWrapper .programmInfo .programmTitle {
        font-size: 18px;
        line-height: 22px;
        margin-top: 8px;
    }
    .programmItem .programmInfoWrapper .programmInfo .programmTime {
        margin-top: 16px;
    }
}

@media (max-width: 540px) {
    .programmItem .vl img {
        width: 28px;
        left: -13.5px;
    }
    .programmItem .imgWrapper img {
        width: 150px;
        height: 150px;
    }

    .programmItem .programmInfoWrapper .programmInfo .programmNumb {
        font-size: 30px;
    }

    .programmItem .imgWrapper,
    .programmItem .programmInfoWrapper {
        padding-bottom: 28px;
    }

    .programmItem .programmInfoWrapper {
        padding-left: 23.5px;
        padding-bottom: 28px;
        padding: 0 10px 28px 23.5px;
    }

    .programmItem .programmInfoWrapper .programmInfo .programmTitle {
        font-size: 16px;
        margin-top: 8px;
        line-height: 21px;
    }
    .programmItem .programmInfoWrapper .programmInfo .programmTime {
        font-size: 14px;
        margin-top: 10px;
    }

    .programmItem:nth-child(2n) {
        flex-direction: row;
        .imgWrapper {
            img {
                float: left;
            }
        }
        .programmInfo {
            float: left;
        }
    }
}

@media (max-width: 460px) {
    .fourthSec {
        margin-top: $marginSecMobile;
    }
    .programmItem .imgWrapper img {
        width: 100px;
        height: 100px;
    }

    .programmItem {
        .imgWrapper {
            width: 39.5%;
        }
        .programmInfoWrapper {
            width: 59.5%;
        }
    }
}
